# Function loadS3FileStream

- loadS3FileStream(s3object, s3ResourcePath?): Promise<Blob | undefined>

- Load the content of a file stored in S3 as a stream. If the s3ResourcePath is undefined, it will default to the workspace S3 resource.

      let fileContentBlob = await wmill.loadS3FileStream(inputFile)
      // if the content is plain text, the blob can be read directly:
      console.log(await fileContentBlob.text());

  #### Parameters

  - s3object: S3Object
  - s3ResourcePath: undefined | string = undefined

  #### Returns Promise<Blob | undefined>

  - Defined in src/client.ts:557